import { defineStore } from "pinia";

export const useMCStore = defineStore('Mountain Car Store', {
    state: () => {
        return {
            red: Array(240000).fill(120),
            green: Array(240000).fill(120),
            blue: Array(240000).fill(120),
            width: 600,
            height: 400,
            trigger: false,
        }
    },
    getters: {
        getRgbArrays: (state) => [state.red, state.green, state.blue],
        getDim: (state) => [state.height, state.width],
    },
    actions: {
        setRgbArrays(red, green, blue) {
            this.red = red;
            this.green = green;
            this.blue = blue;
            this.trigger = !this.trigger;
        },
        setDim(height, width) {
            this.height = height;
            this.width = width;
        },
    }
})
